Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
push_glob_args Struct Reference

## Data Fields
int | fd
const char * | path
size_t | baselen
size_t | namelen
int | dirsep
rb_pathtype_t | pathtype
int | flags
const ruby_glob_funcs_t * | funcs
VALUE | arg

## Detailed Description

Definition at line 2021 of file dir.c.

## Field Documentation

## ◆ arg

VALUE push_glob_args::arg

Definition at line 2030 of file dir.c.

## ◆ baselen

size_t push_glob_args::baselen

Definition at line 2024 of file dir.c.

## ◆ dirsep

int push_glob_args::dirsep

Definition at line 2026 of file dir.c.

## ◆ fd

int push_glob_args::fd

Definition at line 2022 of file dir.c.

## ◆ flags

int push_glob_args::flags

Definition at line 2028 of file dir.c.

## ◆ funcs

const ruby_glob_funcs_t* push_glob_args::funcs

Definition at line 2029 of file dir.c.

## ◆ namelen

size_t push_glob_args::namelen

Definition at line 2025 of file dir.c.

## ◆ path

const char* push_glob_args::path

Definition at line 2023 of file dir.c.

## ◆ pathtype

rb_pathtype_t push_glob_args::pathtype

Definition at line 2027 of file dir.c.

The documentation for this struct was generated from the following file:

- dir.c